Bug 462990 - NetworkManager crashes for pppoe if firstly ignore passwd input request and then login by mouse click the GNOME applet
NetworkManager crashes for pppoe if firstly ignore passwd input request and t...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-20 00:29 EDT by kernel.zeng
Modified: 2009-02-15 09:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-15 09:39:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log from /var/log/messages (9.94 KB, text/plain)
2008-09-20 00:29 EDT, kernel.zeng
no flags Details

  None (edit)
Description kernel.zeng 2008-09-20 00:29:25 EDT
Created attachment 317273 [details]
log from /var/log/messages

Description of problem:

Fedora 9, pure pppoe(no dsl device) login session.

upon entering GNOME, NetworkManager will prompt up to request password for pppoe login. 
If input the password immediately, the Networkmanager works fine.

If the password input is delayed, the pppoe login will not work(seems the input is just ignored), and
at this situation, if mouse click the GNOME applet on the system tray to try to login again,
after the password input, the NetworkManager will crash.

After restarting NetworkManager, it is ok to login if no password input delay

Version-Release number of selected component (if applicable):

NetworkManager-glib-0.7.0-0.9.4.svn3675.fc9.i386
NetworkManager-openvpn-0.7.0-14.svn3632.fc9.i386
NetworkManager-gnome-0.7.0-0.9.4.svn3675.fc9.i386
NetworkManager-vpnc-0.7.0-0.7.7.svn3627.fc9.i386
NetworkManager-0.7.0-0.9.4.svn3675.fc9.i386


How reproducible:

everytime if repeat the steps below

for pure pppoe connections(no dsl devices), 


Steps to Reproduce:
1.boot the machine into GNOME, the NetworkManager will prompt to ask pppoe password
2.ignore the password input request for 2 minutes, and then input the password, click OK, the NetworkManager will ignore this input. the pppoe connection is not logged in.
3.mouse click the GNOME applet on the tray, to login pppoe again, after input the password, the NetworkManager will crash
  
Actual results:

NetworkManager crashes


Expected results:

NetworkManager should not crash

Additional info:

the attachment is the crash log
Comment 1 Dan Williams 2009-02-14 15:12:37 EST
Is this still an issue with latest Fedora 9 NM updates?  I believe the latest version has "svn4326" in the RPM name.
Comment 2 kernel.zeng 2009-02-15 05:23:49 EST
(In reply to comment #1)
> Is this still an issue with latest Fedora 9 NM updates?  I believe the latest
> version has "svn4326" in the RPM name.

I have updated my system to Fedora 10, and Fedora 10 has not this issue any longer.
Comment 3 Dan Williams 2009-02-15 09:39:09 EST
Ok, thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.